uuid: 556d72eb-ea31-412b-b239-3f990780af66
langcode: es
status: true
dependencies: {  }
id: gronze_pg_related_content
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - paragraphs
  - level2
migration_group: gronze_paragraph
label: 'related_content PG migration from Gronze D7'
source:
  plugin: d7_paragraphs_item_check_archived
  high_water_property:
    name: revision_id
    alias: p
  entity: paragraph
  bundle: related_content
process:
  langcode:
    plugin: default_value
    default_value: es
  field_ref_related_content:
    plugin: sub_process
    source: field_contenido_relacionado
    process:
      target_id:
        plugin: migration_lookup
        migration:
          - gronze_node_alojamiento
          - gronze_node_article
          - gronze_node_caminos
          - gronze_node_etapas
          - gronze_node_page
        source: target_id
        no_stub: true
  field_text_title: field_text_title
destination:
  plugin: 'entity_reference_revisions:paragraph'
  default_bundle: related_content
migration_dependencies:
  required:
    - gronze_node_alojamiento
    - gronze_node_article
    - gronze_node_caminos
    - gronze_node_etapas
    - gronze_node_page
